-- phpMyAdmin SQL Dump
-- version 2.11.0
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generato il: 08 Feb, 2008 at 05:32 PM
-- Versione MySQL: 5.0.45
-- Versione PHP: 5.2.4

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `base_app_invoices`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `clienti`
--

CREATE TABLE `clienti` (
  `ID` int(11) NOT NULL auto_increment,
  `PIVA` varchar(50) default NULL,
  `CF` varchar(200) default NULL,
  `Ragione_sociale` varchar(255) default NULL,
  `Indirizzo` varchar(255) default NULL,
  `CAP` varchar(5) default NULL,
  `Citta` varchar(255) default NULL,
  `Provincia` varchar(2) default NULL,
  `Note` longtext,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `clienti`
--

INSERT INTO `clienti` (`ID`, `PIVA`, `CF`, `Ragione_sociale`, `Indirizzo`, `CAP`, `Citta`, `Provincia`, `Note`) VALUES
(1, '0123456789', NULL, 'XYZ SISTEMI', 'Via Italia, 10', '00100', 'Roma', NULL, NULL),
(2, '0987654321', NULL, 'UFFICIO OGGI', 'Via delle Idee, 88', '20100', 'Milano', NULL, NULL),
(3, '0066227788', NULL, 'ROSSI TRADE', 'Via del Castello, 5', '20100', 'Milano', NULL, NULL),
(4, '0077553311', NULL, 'BIANCHI ARREDAMENTI', 'Piazzale Tramonto, 12', '06100', 'Perugia', NULL, NULL),
(5, '0005321521', NULL, 'NERI INFISSI', 'Piazza della Vittoria, 19', '52100', 'Arezzo', NULL, NULL),
(6, '0088543211', NULL, 'CARTIERA GIALLI', 'Via della carta, 55', '50100', 'Firenze', NULL, NULL),
(7, '0567891234', NULL, 'ABCD CONSULENZE', 'Via Adda s.n.c.', '50100', 'Firenze', NULL, NULL);

-- --------------------------------------------------------

--
-- Struttura della tabella `fatture`
--

CREATE TABLE `fatture` (
  `ID` int(11) NOT NULL auto_increment,
  `ID_cliente` int(11) default '0',
  `Num_fattura` int(11) default '1',
  `Data_fattura` timestamp NOT NULL default '0000-00-00 00:00:00',
  `Pagamento` smallint(6) default '30',
  `Pagata` tinyint(1) default '0',
  PRIMARY KEY  (`ID`),
  KEY `ClientiFatture` (`ID_cliente`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `fatture`
--

INSERT INTO `fatture` (`ID`, `ID_cliente`, `Num_fattura`, `Data_fattura`, `Pagamento`, `Pagata`) VALUES
(1, 7, 1, '2006-05-02 00:00:00', 30, 1),
(2, 6, 2, '2006-05-04 00:00:00', 30, 0),
(3, 3, 3, '2006-05-08 00:00:00', 30, 1),
(4, 4, 4, '2006-05-12 00:00:00', 30, 1),
(5, 4, 5, '2006-05-12 00:00:00', 30, 0),
(6, 1, 6, '2006-05-19 00:00:00', 30, 0),
(7, 2, 7, '2006-05-20 00:00:00', 30, 1),
(8, 2, 8, '2006-05-29 00:00:00', 30, 0),
(9, 1, 9, '2006-06-03 00:00:00', 30, 0),
(12, 5, 10, '2007-12-05 00:00:00', 30, 1);

-- --------------------------------------------------------

--
-- Struttura della tabella `intestazione`
--

CREATE TABLE `intestazione` (
  `id` int(16) unsigned NOT NULL auto_increment,
  `Ragione_sociale` varchar(255) NOT NULL,
  `CF` varchar(100) default NULL,
  `PIVA` varchar(100) default NULL,
  `Indirizzo` varchar(255) default NULL,
  `Telefono` varchar(100) default NULL,
  `Fax` varchar(100) default NULL,
  `email` varchar(100) default NULL,
  `Dati_bancari` longtext,
  `Aliquota_RA` double default '20',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `intestazione`
--

INSERT INTO `intestazione` (`id`, `Ragione_sociale`, `CF`, `PIVA`, `Indirizzo`, `Telefono`, `Fax`, `email`, `Dati_bancari`, `Aliquota_RA`) VALUES
(1, 'SOCIETA'' SOFTWARE S.p.A.', '00001112222', '04455667788', 'Via delle vie, 99 - Milano', '02111222333', '222222222', NULL, NULL, 20);

-- --------------------------------------------------------

--
-- Struttura della tabella `prestazioni`
--

CREATE TABLE `prestazioni` (
  `ID` int(11) NOT NULL auto_increment,
  `ID_fattura` int(11) default '0',
  `Descrizione` longtext,
  `Importo` decimal(10,2) default '0.00',
  `Aliquota_IVA` smallint(6) default '20',
  PRIMARY KEY  (`ID`),
  KEY `ID_fattura` (`ID_fattura`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `prestazioni`
--

INSERT INTO `prestazioni` (`ID`, `ID_fattura`, `Descrizione`, `Importo`, `Aliquota_IVA`) VALUES
(1, 1, 'Intervento tecnico presso la Vs. sede', 200.00, 20),
(2, 1, 'Sostituzione schede di rete Vs. personal computer', 120.00, 20),
(3, 2, 'Intervento tecnico presso la Vs. sede', 180.00, 20),
(4, 3, 'Sviluppo software gestionale', 850.00, 20),
(5, 3, 'Installazione presso la Vs. sede', 100.00, 20),
(6, 3, 'Formazione Vs. personale', 250.00, 20),
(7, 4, 'Corsi informatica effettuati c/o Vs. sede', 1000.00, 20),
(8, 5, 'Corsi informatica effettuati c/o ns. sede', 500.00, 20),
(9, 6, 'Installazione e configurazione rete LAN', 450.00, 20),
(10, 6, 'Formazione Vs. personale', 280.00, 20),
(12, 12, 'Consulenza software', 450.00, 20),
(13, 8, 'Manutenzione server', 100.00, 20),
(14, 9, 'Installazione rete wireless', 500.00, 20),
(15, 9, 'Assistenza mese novembre', 250.00, 20),
(16, 7, 'Assistenza mese aprile', 250.00, 20);

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `fatture`
--
ALTER TABLE `fatture`
  ADD CONSTRAINT `ClientiFatture` FOREIGN KEY (`ID_cliente`) REFERENCES `clienti` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Limiti per la tabella `prestazioni`
--
ALTER TABLE `prestazioni`
  ADD CONSTRAINT `FatturePrestazioni` FOREIGN KEY (`ID_fattura`) REFERENCES `fatture` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE;
